NameUtil (xmlbeans API)

org.apache.xmlbeans.impl.common

## Class NameUtil

- java.lang.Object
- - org.apache.xmlbeans.impl.common.NameUtil

-     public class NameUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `AYAH`
    `static char` | `COLON`
    `static char` | `DOT`
    `static char` | `ELHIZB`
    `static char` | `HYPHEN`
    `static char` | `PERIOD`
    `static char` | `TELEIA`
    `static char` | `USCORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getCharClass(char c, boolean useJaxRpcRules)`
    `static String` | `getClassNameFromQName(QName qname)`
    `static String` | `getClassNameFromQName(QName qname, boolean useJaxRpcRules)`
    `static String` | `getNamespaceFromPackage(Class<?> clazz)`
    `static String` | `getPackageFromNamespace(String uri)`
    `static String` | `getPackageFromNamespace(String uri, boolean useJaxRpcRules)`
    `static boolean` | `isJavaCommonClassName(String word)`
    `static boolean` | `isPunctuation(char c, boolean useJaxRpcRules)`
    `static boolean` | `isValidJavaIdentifier(String id)`
    `static String` | `lowerCamelCase(String xml_name)` Returns a camel-cased string using the JAXB rules, where the first component is lowercased.
    `static String` | `lowerCamelCase(String xml_name, boolean useJaxRpcRules, boolean fixGeneratedName)` Returns a camel-cased string using the JAXB or JAX-RPC rules
    `static void` | `main(String[] args)`
    `static String` | `nonExtraKeyword(String word)` Intended to be applied to a lowercase-starting identifier that may collide with a Java keyword.
    `static String` | `nonJavaCommonClassName(String name)` Intended to be applied to an uppercase-starting identifier that may collide with a java.lang.* classname.
    `static String` | `nonJavaKeyword(String word)` Intended to be applied to a lowercase-starting identifier that may collide with a Java keyword.
    `static List<String>` | `splitWords(String name, boolean useJaxRpcRules)`
    `static String` | `upperCamelCase(String xml_name)` Returns a camel-cased string using the JAXB rules.
    `static String` | `upperCamelCase(String xml_name, boolean useJaxRpcRules)` Returns a camel-cased string, but either JAXB or JAX-RPC rules are used
    `static String` | `upperCaseFirstLetter(String s)`
    `static String` | `upperCaseUnderbar(String xml_name)` Returns a upper-case-and-underbar string using the JAXB rules.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HYPHEN

          public static final char HYPHEN

      See Also:
        Constant Field Values

    - #### PERIOD

          public static final char PERIOD

      See Also:
        Constant Field Values

    - #### COLON

          public static final char COLON

      See Also:
        Constant Field Values

    - #### USCORE

          public static final char USCORE

      See Also:
        Constant Field Values

    - #### DOT

          public static final char DOT

      See Also:
        Constant Field Values

    - #### TELEIA

          public static final char TELEIA

      See Also:
        Constant Field Values

    - #### AYAH

          public static final char AYAH

      See Also:
        Constant Field Values

    - #### ELHIZB

          public static final char ELHIZB

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NameUtil

          public NameUtil()

  - ### Method Detail

    - #### isValidJavaIdentifier

          public static boolean isValidJavaIdentifier(String id)

    - #### getClassNameFromQName

          public static String getClassNameFromQName(QName qname)

    - #### getClassNameFromQName

          public static String getClassNameFromQName(QName qname,
                                                     boolean useJaxRpcRules)

    - #### getNamespaceFromPackage

          public static String getNamespaceFromPackage(Class<?> clazz)

    - #### getPackageFromNamespace

          public static String getPackageFromNamespace(String uri)

    - #### getPackageFromNamespace

          public static String getPackageFromNamespace(String uri,
                                                       boolean useJaxRpcRules)

    - #### main

          public static void main(String[] args)

    - #### upperCaseUnderbar

          public static String upperCaseUnderbar(String xml_name)

      Returns a upper-case-and-underbar string using the JAXB rules. Always starts with a capital letter that is a valid java identifier start. (If JAXB rules don't produce one, then "X_" is prepended.)

    - #### upperCamelCase

          public static String upperCamelCase(String xml_name)

      Returns a camel-cased string using the JAXB rules. Always starts with a capital letter that is a valid java identifier start. (If JAXB rules don't produce one, then "X" is prepended.)

    - #### upperCamelCase

          public static String upperCamelCase(String xml_name,
                                              boolean useJaxRpcRules)

      Returns a camel-cased string, but either JAXB or JAX-RPC rules are used

    - #### lowerCamelCase

          public static String lowerCamelCase(String xml_name)

      Returns a camel-cased string using the JAXB rules, where the first component is lowercased. Note that if the first component is an acronym, the whole thigns gets lowercased. Always starts with a lowercase letter that is a valid java identifier start. (If JAXB rules don't produce one, then "x" is prepended.)

    - #### lowerCamelCase

          public static String lowerCamelCase(String xml_name,
                                              boolean useJaxRpcRules,
                                              boolean fixGeneratedName)

      Returns a camel-cased string using the JAXB or JAX-RPC rules

    - #### upperCaseFirstLetter

          public static String upperCaseFirstLetter(String s)

    - #### splitWords

          public static List<String> splitWords(String name,
                                                boolean useJaxRpcRules)

    - #### getCharClass

          public static int getCharClass(char c,
                                         boolean useJaxRpcRules)

    - #### isPunctuation

          public static boolean isPunctuation(char c,
                                              boolean useJaxRpcRules)

    - #### nonJavaKeyword

          public static String nonJavaKeyword(String word)

      Intended to be applied to a lowercase-starting identifier that may collide with a Java keyword. If it does collide, this prepends the letter "x".

    - #### nonExtraKeyword

          public static String nonExtraKeyword(String word)

      Intended to be applied to a lowercase-starting identifier that may collide with a Java keyword. If it does collide, this prepends the letter "x".

    - #### nonJavaCommonClassName

          public static String nonJavaCommonClassName(String name)

      Intended to be applied to an uppercase-starting identifier that may collide with a java.lang.* classname. If it does collide, this prepends the letter "X".

    - #### isJavaCommonClassName

          public static boolean isJavaCommonClassName(String word)